Page MenuHomePhabricator

Fragment encoding of autocomment on diff and history differ
Closed, ResolvedPublic

Description

Steps to reproduce:

  • Create a change with the autocomment /* A&B&C&D&E */ [[#A&B&C&D&E]] in summary
  • Open history. The summary contains:

(→‎A&B&C&D&E: #A&B&C&D&E)

With the links http://localhost/w/index.php?title=Foo#A.26B.26C.26amp.3BD.26amp.3Bamp.3BE and http://localhost/w/index.php?title=Foo#A.26B.26C.26D.26amp.3BE

  • Open the diff. The summary contains:

(→‎A&B&C&D&E: #A&B&C&D&E)

With the links #A.26B.26C.26D.26amp.3BE and #A.26B.26C.26D.26amp.3BE

The fragment encoding of the second link does not differ. Because of T103714 it is double encoded.

The fragment encoding of the first link link differ.
Expected result: The fragment encoding of the first link should not differ.

Event Timeline

Fomafix created this task.Jun 30 2015, 11:03 AM
Fomafix claimed this task.
Fomafix raised the priority of this task from to Needs Triage.
Fomafix updated the task description. (Show Details)
Fomafix added a project: MediaWiki-Parser.
Fomafix added subscribers: Ricordisamoa, Aklapper, Fomafix.
Fomafix updated the task description. (Show Details)Jun 30 2015, 11:08 AM
Fomafix set Security to None.

Change 221614 had a related patch set uploaded (by Gerrit Patch Uploader):
Do not double decode HTML entities for IDs

https://gerrit.wikimedia.org/r/221614

Aklapper triaged this task as Low priority.Jul 16 2015, 2:24 PM

Isn't this duplicate of T20431?

@Lahwaacz No, T20431 is a related but separate bug.

Change 286385 had a related patch set uploaded (by Gerrit Patch Uploader):
Do not double decode HTML entities for IDs

https://gerrit.wikimedia.org/r/286385

Change 221614 abandoned by Fomafix:
Do not double decode HTML entities for IDs

Reason:
Superseded by https://gerrit.wikimedia.org/r/286385.

https://gerrit.wikimedia.org/r/221614

Change 286385 merged by jenkins-bot:
[mediawiki/core@master] Do not double decode HTML entities for IDs

https://gerrit.wikimedia.org/r/286385

Fomafix closed this task as Resolved.Oct 4 2017, 7:30 AM
Fomafix removed a project: Patch-For-Review.